<?php

    /**
     * @file trackback_send.php
     * @author k2man (k2mani@gmail.com)
     * @brief 다음View 애드온에서 다음View로 트랙백 전송을 위한 파일
	 *        trackback 모듈을 참고하였음
     **/

	$http = parse_url($_GET['trackback_url']);
	$obj->blog_name = substr($_GET['default_url'], 7);
	$obj->title = rawurldecode($_GET['title']);
	$obj->excerpt = rawurldecode($_GET['excerpt']);
	$obj->url = $_GET['default_url'] . '/' . $_GET['document_srl'];
	$file_url = rawurldecode($_GET['file_url']);

	if($http['query']) $http['query'].="&";
	if(!$http['port']) $http['port'] = 80;

	$content =
		sprintf(
			"title=%s&".
			"url=%s&".
			"blog_name=%s&".
			"excerpt=%s",
			rawurlencode($obj->title),
			rawurlencode($obj->url),
			rawurlencode($obj->blog_name),
			rawurlencode($obj->excerpt)
		);
	if ($file_url)
		$content .= "&img_url=" . rawurlencode($file_url);

	if($http['query']) $content .= '&'.$http['query'];
	$content_length = strlen($content);

	$header =
	sprintf(
		"POST %s HTTP/1.1\r\n".
		"Host: %s\r\n".
		"Content-Type: %s\r\n".
		"Content-Length: %s\r\n\r\n".
		"%s\r\n",
		$http['path'],
		$http['host'],
		"application/x-www-form-urlencoded",
		$content_length,
		$content
	);
	if(!$http['host']||!$http['port']) return false;

	$fp = @fsockopen($http['host'], $http['port'], $errno, $errstr, 5);
	if(!$fp) return false;

	fputs($fp, $header);

	while(!feof($fp)) {
		$line = trim(fgets($fp, 4096));
		if(preg_match("/^<error>/i",$line)) break;
	}

	fclose($fp);

?>
